Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.control
[Java] Class ClassNodeResolver.LookupResult

    java.lang.Object
      org.codehaus.groovy.control.ClassNodeResolver.LookupResult

    public static class ClassNodeResolver.LookupResult

Helper class to return either a SourceUnit or ClassNode.

Authors:
  Jochen "blackdrag" Theodorou

Constructor Summary
`ClassNodeResolver.LookupResult(SourceUnit su, ClassNode cn)` creates a new LookupResult.

Method Summary
`ClassNode` | `getClassNode()` returns the ClassNode
`SourceUnit` | `getSourceUnit()` returns the SourceUnit
`boolean` | `isClassNode()` returns true if a ClassNode is stored
`boolean` | `isSourceUnit()` returns true if a SourecUnit is stored

Methods inherited from class java.lang.Object
java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Constructor Detail

### ClassNodeResolver.LookupResult

    public ClassNodeResolver.LookupResult(SourceUnit su, ClassNode cn)

  creates a new LookupResult. You are not supposed to supply a SourceUnit and a ClassNode at the same time

Method Detail

### getClassNode

    public ClassNode getClassNode()

  returns the ClassNode

### getSourceUnit

    public SourceUnit getSourceUnit()

  returns the SourceUnit

### isClassNode

    public boolean isClassNode()

  returns true if a ClassNode is stored

### isSourceUnit

    public boolean isSourceUnit()

  returns true if a SourecUnit is stored

Groovy Documentation